@echo off

rem Files in the drivers\Common\src dir which may have been copied to
rem individual driver dirs
set COMMON_SRC_FILES=FreeOTFEDebug.c FreeOTFElib.c

rem Files in the drivers\CYPHER_DRIVERS\Common\src dir which may have been copied to
rem individual driver dirs
set COMMON_CYPHER_SRC_FILES=FreeOTFECypherDriver.c

rem Files in the drivers\HASH_DRIVERS\Common\src dir which may have been copied to
rem individual driver dirs
set COMMON_HASH_SRC_FILES=FreeOTFEHashDriver.c

rem Output files are stored in these dirs relative to the driver's
rem ...\XXX_DRIVERS\XXX\src dir 
set COMMON_OUTPUT_DIRS=..\Debug objchk_wnet_x86 objfre_wnet_x86


rem ======================================================
echo Cleaning up the Delphi files...

echo ...Files created during building
cd gui
del /s *.dcu
del /s *.ddp
del /s *.~*
cd ..



rem ======================================================
echo Cleaning up the driver C files...

echo ...Files created during building
cd drivers
del /s *.log
del /s *.exe
del /s *.sys
del /s *.obj
del /s *.res
del /s *.mac
del /s *.pdb
del /s BuildLog.htm
cd ..


rem ------------------------------------------------------
echo ...Clean up main driver

cd drivers\DRIVER\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
cd ..\..\..


rem ------------------------------------------------------
echo ...Clean up hash drivers

cd drivers\HASH_DRIVERS\HASH_MD\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_HASH_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del md2.c
del md4.c
del md5.c
del mem.c
cd ..\..\..\..

cd drivers\HASH_DRIVERS\HASH_NULL\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_HASH_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
cd ..\..\..\..

cd drivers\HASH_DRIVERS\HASH_RIPEMD\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_HASH_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del rmd128.c
del rmd160.c
cd ..\..\..\..

cd drivers\HASH_DRIVERS\HASH_SHA\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_HASH_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del sha1.c
del sha224.c
del sha256.c
del sha384.c
del sha512.c
cd ..\..\..\..

cd drivers\HASH_DRIVERS\HASH_TIGER\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_HASH_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del tiger.c
cd ..\..\..\..

cd drivers\HASH_DRIVERS\HASH_WHIRLPOOL\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_HASH_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del whirl.c
cd ..\..\..\..


rem ------------------------------------------------------
echo ...Clean up cypher drivers

cd drivers\CYPHER_DRIVERS\CYPHER_AES_ltc\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del aes.c
del aes_tab.c
del crypt.c
del cbc.c
del strings.c
del mem.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_DES\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del des.c
del crypt.c
del cbc.c
del strings.c
del mem.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_BLOWFISH\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del blowfish.c
del crypt.c
del cbc.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_RC6_ltc\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del rc6.c
del crypt.c
del cbc.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_CAST5\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del cast5.c
del crypt.c
del cbc.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_NULL\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_TWOFISH_HifnCS\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
del TWOFISH2.C
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_TWOFISH_ltc\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del twofish.c
del crypt.c
del cbc.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_SERPENT_Gladman\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem Gladman library...
del serpent.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_MARS_Gladman\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem Gladman library...
del mars.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_TWOFISH_Gladman\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem Gladman library...
del twofish.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_RC6_Gladman\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem Gladman library...
del rc6.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_AES_Gladman\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem Gladman library...
del rijndael.c
cd ..\..\..\..

cd drivers\CYPHER_DRIVERS\CYPHER_XOR\src
for %%x in (%COMMON_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_CYPHER_SRC_FILES%) do del /s %%x
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
cd ..\..\..\..


rem ======================================================
echo Cleaning up the command line decryption utility C files...

echo ...Files created during building
cd cmdline_tools
del /s *.log
del /s *.exe
del /s *.sys
del /s *.obj
del /s *.res
del /s *.mac
del /s *.pdb
del /s BuildLog.htm
cd ..


echo ...Clean up command line decryption utilities
cd cmdline_tools\DECRYPT_AES__2K__tlc\src
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
del aes.c
del aes_tab.c
del crypt.c
del cbc.c
del strings.c
del mem.c
cd ..\..\..

cd cmdline_tools\DECRYPT_AES__tlc\src
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
del aes.c
del aes_tab.c
del crypt.c
del cbc.c
del strings.c
del mem.c
cd ..\..\..

cd cmdline_tools\DECRYPT_TWOFISH__Hifn_Counterpane\src
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
rem libtomcrypt library...
del rmd160.c
rem Hi/fn and Counterpane Systems library...
del TWOFISH2.C
cd ..\..\..

cd cmdline_tools\DECRYPT_TWOFISH__tlc\src
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
del twofish.c
del twofish_tab.c
del crypt.c
del cbc.c
del strings.c
cd ..\..\..

cd cmdline_tools\DECRYPT_XOR\src
for %%x in (%COMMON_OUTPUT_DIRS%) do rmdir /q /s %%x
cd ..\..\..


rem ------------------------------------------------------
echo Finished cleaning.
rem ------------------------------------------------------

