// Description: 
// By Sarah Dean
// Email: sdean12@sdean12.org
// WWW:   http://www.FreeOTFE.org/
//
// -----------------------------------------------------------------------------
//


#ifndef _FreeOTFECypherRC6_ltc_H
#define _FreeOTFECypherRC6_ltc_H   1

#include <initguid.h>  // Required for DEFINE_GUID macro

// =========================================================================
// Const definitions

// These values are in DECIMAL
#define DRIVER_CYPHER_IMPL_VERSION_MAJOR     01
#define DRIVER_CYPHER_IMPL_VERSION_MINOR     00
#define DRIVER_CYPHER_IMPL_VERSION_BUILD   0000

#define DRIVER_CYPHER_IMPL_VERSION  (                                      \
                         (DRIVER_CYPHER_IMPL_VERSION_MAJOR * 0x01000000) + \
                         (DRIVER_CYPHER_IMPL_VERSION_MINOR * 0x00010000) + \
                         (DRIVER_CYPHER_IMPL_VERSION_BUILD * 0x00000001)   \
                        )


#define CYPHERS_SUPPORTED   4

// NOTE: ASCII, not WCHAR
#define DRIVER_TITLE                 "RC6 (libtomcrypt library)"
DEFINE_GUID(DRIVER_GUID,         0x00000000L, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x01);

// NOTE: ASCII, not WCHAR
#define DRIVER_CIPHER_TITLE_RC6_128  "RC6"
DEFINE_GUID(CIPHER_GUID_RC6_128, 0x00000000L, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x02);

#define DRIVER_CIPHER_TITLE_RC6_192  "RC6"
DEFINE_GUID(CIPHER_GUID_RC6_192, 0x00000000L, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x03);

#define DRIVER_CIPHER_TITLE_RC6_256  "RC6"
DEFINE_GUID(CIPHER_GUID_RC6_256, 0x00000000L, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x04);

#define DRIVER_CIPHER_TITLE_RC6_1024  "RC6"
DEFINE_GUID(CIPHER_GUID_RC6_1024, 0x00000000L, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x05);


// =========================================================================
// Various internal functions

NTSTATUS
InitLTCCypher(
    OUT  int *cipher
);

// =========================================================================

#endif

