// Description: Various NTIFS Related
//
// -----------------------------------------------------------------------------
//


// Structs from MSDN WWW site:
#define TOKEN_SOURCE_LENGTH 8

typedef struct _TOKEN_SOURCE {
  CHAR  SourceName[TOKEN_SOURCE_LENGTH];
  LUID  SourceIdentifier;
} TOKEN_SOURCE, *PTOKEN_SOURCE;


typedef struct _TOKEN_CONTROL {
  LUID  TokenId;
  LUID  AuthenticationId;
  LUID  ModifiedId;
  TOKEN_SOURCE  TokenSource;
} TOKEN_CONTROL, *PTOKEN_CONTROL;


typedef struct _SECURITY_CLIENT_CONTEXT {
  SECURITY_QUALITY_OF_SERVICE SecurityQos;
  PACCESS_TOKEN               ClientToken;
  BOOLEAN                     DirectlyAccessClientToken;
  BOOLEAN                     DirectAccessEffectiveOnly;
  BOOLEAN                     ServerIsRemote;
  TOKEN_CONTROL               ClientTokenControl;
} SECURITY_CLIENT_CONTEXT, *PSECURITY_CLIENT_CONTEXT;

NTSTATUS
  SeCreateClientSecurity(
    IN PETHREAD  ClientThread,
    IN PSECURITY_QUALITY_OF_SERVICE  ClientSecurityQos,
    IN BOOLEAN  ServerIsRemote,
    OUT PSECURITY_CLIENT_CONTEXT  ClientContext
    );

NTSTATUS
  SeImpersonateClientEx(
    IN PSECURITY_CLIENT_CONTEXT  ClientContext,
    IN PETHREAD  ServerThread  OPTIONAL
    ); 

typedef enum _TOKEN_TYPE {
  TokenPrimary = 1,
  TokenImpersonation
} TOKEN_TYPE;
typedef TOKEN_TYPE *PTOKEN_TYPE;

NTKERNELAPI
TOKEN_TYPE
SeTokenType (
    IN PACCESS_TOKEN Token
);

NTKERNELAPI
VOID
PsRevertToSelf();

NTKERNELAPI
VOID
  PsDereferencePrimaryToken(
    IN PACCESS_TOKEN  PrimaryToken
    ); 

/*
NTKERNELAPI
VOID
  SeDeleteClientSecurity(
    IN PSECURITY_CLIENT_CONTEXT  ClientContext
    );
*/

NTKERNELAPI
VOID
  PsDereferenceImpersonationToken(
    IN PACCESS_TOKEN  ImpersonationToken
    ); 


#define SeDeleteClientSecurity(C)  {                                           \
            if (SeTokenType((C)->ClientToken) == TokenPrimary) {               \
                PsDereferencePrimaryToken( (C)->ClientToken );                 \
            } else {                                                           \
                PsDereferenceImpersonationToken( (C)->ClientToken );           \
            }                                                                  \
}

// =========================================================================
// =========================================================================

